statsmodels (0.8.0-7build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:39:31 +0000

statsmodels (0.8.0-7) unstable; urgency=medium

  * Team upload
  * Use pybuild --print build_dir to fix FTBFS with
    dh-python >= 3.20180313 (Closes: #894572)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Remove ancient Python version fields

 -- Graham Inggs <ginggs@debian.org>  Wed, 27 Jun 2018 17:02:07 +0000

statsmodels (0.8.0-6) unstable; urgency=medium

  * Build the architecture dependent files before building documentation
  * Add myself to uploaders.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 22:17:33 -0700

statsmodels (0.8.0-5) unstable; urgency=medium

  * Team Upload

  [ Diane Trout ]
  * add sphinx-common to Build-Depends which fixes a FTBFS caused by
    Sphinxdoc.pm not being present when building binary only packages.
  * Split dh_auto_build-arch and dh_auto_build-indep targets so we only
    build the docs once.

 -- Diane Trout <diane@ghic.org>  Fri, 29 Sep 2017 16:48:20 -0700

statsmodels (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Diane Trout ]
  * Add python-dateutil, patsy, tk as build depends
    Marking nose & tk as !nocheck
  * Add Python3 support
    (Closes: #729956) (Closes: #782963) (Closes: #834495)
  * Update Python 3 build depends, add components necessary to build
    notebook examples
  * Lintian warned that Conflicts with version should probably be Breaks
  * Add use-system-inventory patch to use intersphinx inventory files from
    other Debian doc packages.
    Added those packages to the -doc package suggests list
  * Let dh_sphinxdoc manage jquery dependencies.
    Add libjs-requirejs for building notebooks.
  * Use Python 3 for documentation building, and enable building notebook
    examples as jupyter components are now available in stable.
  * Extend a python3-statsmodels-lib description to make lintian happier
  * Cleanup more files that might be generated during build
  * Exclude test_sarimax test_structural test_dynamic_factor test_varmax
    from unit testing
    Closes: #873512
  * add patch use-cached-datasets, and cache all of the get_rdataset
    datasets in debian/datasets/. This is needed so the documentation will
    build without network access.
  * Document data files needed for documentation in debian/README.source

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * Add remark about documenting R data to debian/README.source
  * Updating d/copyright
  * DEP3

 -- Diane Trout <diane@ghic.org>  Tue, 26 Sep 2017 23:55:47 -0700

statsmodels (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: do not run the testsuite when only building arch:all packages.
    (Closes: #872603)
  * d/copyright: use https form for the copyright-format URL.
  * d/control:
    + promote the package to priority optional, per policy 4.0.1.
    + bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Aug 2017 11:42:08 +0200

statsmodels (0.8.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Sébastien Villemot ]
  * Upload to unstable
  * d/rules: fix logic of {build,binary}-indep for building doc.
  * d/control:
    + add missing build-dependency on dh-python.
    + promote python-pandas to a Depends. It is really needed if one wants to
      import statsmodels (and otherwise autopkgtest fails).

  [ Andreas Tille ]
  * d/p/skip_tests_failing_due_to_panda_issue.patch: new patch, removes tests
    from test suite that fail because of pandas and can not easily be fixed.
  * d/p/fix_numdocpy_issue.patch: new patch, fixes other issue with numpydoc.
    (Closes: #868977)

  [ Yaroslav Halchenko ]
  * Bump to debhelper compat level 9.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 18 Aug 2017 22:40:39 +0200

statsmodels (0.8.0-1) experimental; urgency=medium

  * Fresh upstream release resolving various compatibility issues etc
    - absborbs some of previously carried patches (dropped from quilt):
      fix_wrong_index_type.patch
      workaround_panda_readtable_bug.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Feb 2017 13:08:38 -0500

statsmodels (0.8.0~rc1+git59-gef47cd9-5) unstable; urgency=medium

  * Team upload.
  * Fix test skipping for s390

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 18:33:56 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-4) unstable; urgency=medium

  * Team upload.
  * Disable test_smoke_plot_and_repr() and test_pandas() on s390x:
    probably a matplotlib bug there

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 15:38:06 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-3) unstable; urgency=medium

  * Work around a Pandas readttable bug to fix (temporary) FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Dec 2016 11:46:23 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Science Team maintenance (permission from
    Yaroslav Halchenko)
  * Fix index type in `reshape` to be integer. Closes: #848782

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Dec 2016 14:52:31 +0100

statsmodels (0.8.0~rc1+git59-gef47cd9-1) unstable; urgency=medium

  * Fresh upstream rc snapshot which hopefully addresses some
    outstanding FTBFS etc issues
  * debian/control
    - allow for ipython >= 5 as alternative to ipython for now,
      and also for traitlets explicitly on those newer systems
      (Closes: #843414)
    - adjusted vcs-browser (Closes: #843407)
  * debian/rules
    - skip test_plot_month test
      (see https://github.com/statsmodels/statsmodels/issues/3283)
  * debian/patches/up_3239
    - to cast index into array before sorting (Closes: #841610)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Nov 2016 19:37:43 -0500

statsmodels (0.8.0~rc1+git43-g1ac3f11-1) unstable; urgency=medium

  * Snapshot of a new upstream release candidate
    - should resolve some failing tests causing FTBFS (Closes: #837232)
  * debian/patches
    - all changes* were dropped (upstreamed)
    + deb_no_nbformat_for_now - since no nbformat, do not generate ipython
      notebooks for now
  * debian/control
    - boost policy to 3.9.8
    - python-numpydoc to build-depends-indep

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Sep 2016 09:23:49 -0400

statsmodels (0.6.1-10) UNRELEASED; urgency=medium

  * debian/control
    - apparently on e.g. 14.04 we have to depend on pandoc, so making it
      not an alternative to nodejs

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Apr 2016 09:30:57 -0400

statsmodels (0.6.1-9) neurodebian; urgency=medium

  * CP df820642c16d8486e8b676e07675afbbfd4824d8 to stay compatible with older
    versions on nose (precise and alike)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Apr 2016 22:12:50 -0400

statsmodels (0.6.1-8) unstable; urgency=medium

  * Resolving by skipping the very last standing failing test on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 21:42:10 -0400

statsmodels (0.6.1-7) unstable; urgency=medium

  * BF: adjusted changeset_3faba6e002641e95a0c6007c826fabb9c423686e.diff to 
    not use kwarg for compat with elderly pandas. Should resolve FTBFS on
    many platforms still carrying elderly pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 08:42:12 -0400

statsmodels (0.6.1-6) unstable; urgency=medium

  * debian/patches
    - picked up a set of patches to hopefully mitigate compatibility issues
      with elderly pandas available on some platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Apr 2016 18:32:29 -0400

statsmodels (0.6.1-5) unstable; urgency=medium

  * Fixes for compatibility with recent numpy and pandas
    (Closes: #807025, #659405)
  * examples/ were moved out of the module, so now they get manually installed
    under /usr/share/doc/python-statsmodels/examples (Closes: #752977)
  * debian/control
    - policy boosted to 3.9.7
    - removed obsolete transitional package python-scikits.statsmodels
  * debian/watch
    - fixed to use github.com tags directly

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 24 Apr 2016 18:55:01 -0400

statsmodels (0.6.1-4) unstable; urgency=medium

  * Move ipython-notebook and zmq to build-depends-indep since needed only for
    documentation building

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 May 2015 17:29:08 -0400

statsmodels (0.6.1-3) unstable; urgency=medium

  * upload to unstable -- jessie is out
  * debian/control
    - raised minimal cython version to be used to 0.19
    - provide Build-Depends-Indep to separate handling for building
      binary-indep packages, and allow pandoc instead of nodejs
      for extra robustness (thanks Edmund for the hint) (Closes: #770631)
  * debian/{control,rules}
    - Recommend libjs-mathjax and refer to locally installed MathJax.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 May 2015 21:12:33 -0400

statsmodels (0.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Dec 2014 11:06:18 -0500

statsmodels (0.6.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate
  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff redone into
      deb_use_internal_ipythonsphinx_extensions to facilate building
      documentation on older systems
    - up_explicit_path_to_nbgenerate to provide explict path to notebooks
  * debian/rules
    - clean up cythonize.dat
  * debian/control
    - nodejs was added to build-depends (neccessary for docs building)
    - boost policy to 3.9.6 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Oct 2014 19:32:58 -0400

statsmodels (0.5.0+git13-g8e07d34-2) unstable; urgency=medium

  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff
      to resolve FTBFS by using packaged ipython provided
      extensions (Closes: #753232)
    - up_reduce_test_precision to resolve failing
      TestRegressionNM.test_ci_beta2 test on 32bit
  * debian/control
    - suggest -doc package (Closes: #740348)
  * debian/rules
    - exclude testing of the sandbox (let kids do wild things there and 
      mentors keep their hair) -- otherwise test break due to scipy 0.14.0 API
      breakage (f_gen)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Jul 2014 12:03:55 -0400

statsmodels (0.5.0+git13-g8e07d34-1) unstable; urgency=low

  * Fresh snapshot of 0.5.x maintenance branch
    - resolved failing test causing to FTBFS (Closes: #730727)
  * debian/control
    - python-cvxopt added to Build-Depends (testing) and Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Nov 2013 20:17:42 -0500

statsmodels (0.5.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/rules
    - assure having $HOME for clean and build operations to avoid crash of
      matplotlib
  * debian/control, debian/rules
    - boost required ipython to 0.13.1 for building documentation
    - add python-zmq explicitly to build-depends for correct IPython
      operation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Aug 2013 23:45:31 -0400

statsmodels (0.5.0~rc1-1) UNRELEASED; urgency=low

  * New upstream snapshot from v0.4.3-1962-g13bbf88 at v0.4.3-1962-
    g13bbf88
    - depends on patsy
  * debian/control
    - requires ipython-notebook for building documentation
      (Build-Depends adjusted)
    - build for Python >= 2.7 due to absent python 2.6 build of pandas
      for wheezy (debian/pyversions removed, use field X-Python-Version) now 
      instead
    - boosted policy to 3.9.4 (no further changes)
  * debian/copyright
    - years adjusted
  * debian/rules
    - migrate to dh_python2 from dh_pysupport

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Aug 2013 09:42:43 -0400

statsmodels (0.4.2-1) unstable; urgency=low

  * Fresh upstream release addressing FTBFS across big-endian architectures.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 17:26:36 -0400

statsmodels (0.4.1-1) unstable; urgency=low

  * Fresh upstream release
    - dropped up_versioncomparison_with_rc
    - require Python >= 2.6
  * Do fail if unittests fail
  * Added joblib to build-depends since seems could be used during tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 15 Jun 2012 17:57:17 -0400

statsmodels (0.4.0-2) unstable; urgency=low

  * Removed python-rpy from Recommends to avoid pulling Rtillery with
    with the default installation of statsmodels and pandas, since rpy apparently
    is mentioned only in some legacy code
  * Added patch up_versioncomparison_with_rc to "cherry-pick" 45ee896 for
    robust version comparison with rc versions of numpy/scipy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 May 2012 20:40:37 -0400

statsmodels (0.4.0-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 May 2012 09:34:58 -0400

statsmodels (0.4.0~rc2+git6-g756f2d0-1) experimental; urgency=low

  * Fresh upstream pre-release
    - all patches dropped (upstreamed)
    - scikits. name space is getting deprecated:
      - python-scikits.statsmodels is provided to ease code transition
      - python-statsmodels-doc replaces python-scikits.statsmodels-doc
    - python-statsmodels-lib is introduced to carry arch-dependent
      extensions
  * debian/copyright:
    - entry for statsmodels/stats/libqsturng
  * debian/watch:
    - use githubredir.debian.net
  * debian/{rules,control}
    - rule cythonize to (re-)cythonize .pyx files so they could be
      built on older releases
    - use custom IPython01x available from NeuroDebian on older releases
      to build documentation
    - build-depend on python-all-dev now to build extensions
    - recommend python-joblib

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Apr 2012 08:30:50 -0400

statsmodels (0.3.1-4) unstable; urgency=low

  * Added patch from Ubuntu: fix_test_discrete.patch.  Thanks Michael Terry for
    the patch and Gregor Herrmann for the reminder (Closes: #663986, #648845)
  * upon clean -- remove autogenerated version.py
  * debian/copyright: adjusted for DEP-5
  * debian/control: boosted policy to 3.9.3 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Mar 2012 12:44:27 -0400

statsmodels (0.3.1-3) unstable; urgency=low

  * Few bugfixes:
    - up_broken_imports
    - up_doc_fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 21 Jan 2012 12:07:54 -0500

statsmodels (0.3.1-2) unstable; urgency=low

  * debian/copyright: extended list of copyrights/licenses. Thanks to
    Luca Falavigna for the thorough review
  * debian/rules: remove shipped COPYING files due to duplication of
    debian/copyright
  * Initial release -- upload to Debian (Closes: #570604)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Aug 2011 23:23:37 +0200

statsmodels (0.3.1-1) UNRELEASED; urgency=low

  * Added get-orig-source rule to fetch from github using uscan
  * Upload to Debian was rejected

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Aug 2011 23:14:01 +0200

statsmodels (0.3.0-1) neurodebian; urgency=low

  * Upstream release -- upload to Debian proper is pending the removal of
    WFS dataset (research only restriction)
  * debian/copyright: expanded to mention copyrights for the included
    datasets, adjusted BSD-3 license text to use project's name instead
    of "stock" regents.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jul 2011 22:40:18 -0400

statsmodels (0.3.0~rc2+4-gc78fbe1-1) UNRELEASED; urgency=low

  * Upstream snapshot post RC2:
    - upstream moved to GIT, Debian packaging repository reinitilized
      borrowing debian/ branch from previous one (git-bzr imported)
  * debian/control: boosted policy to 3.9.2 -- no changes
  * debian/watch: fetch from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Jul 2011 22:43:21 -0400

statsmodels (0.3.0~bzr20110330-1) neurodebian; urgency=low

  * Fresh snapshot of BZR 0.3-devel series
  * Initial upload to Debian was rejected due to data licensing issues

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 29 Mar 2011 17:48:04 -0400

statsmodels (0.2.0+bzr1990-1) neurodebian; urgency=low

  * Initial release -- rejected due to full list of copyrights

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 May 2010 23:02:18 -0400
